#ifndef MLINEEDITBUTTON_H
#define MLINEEDITBUTTON_H

#include <QLineEdit>

class MLineEditButton : public QLineEdit
{
public:
    explicit MLineEditButton(QWidget *parent = Q_NULLPTR);
private slots:
    void onPopupShow();
    void onPopupNewButton_release();
    void onPopupEditButton_release();
private:
    void getValuesFromPopup(QStringList list);
};

#endif // MLINEEDITBUTTON_H
